Page MenuHomePhabricator

[CMake][runtimes] Use variables rather than ":" delimiters
ClosedPublic

Authored by phosek on Feb 11 2019, 7:05 PM.

Details

Diff Detail

Repository
rL LLVM

Event Timeline

phosek created this revision.Feb 11 2019, 7:05 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 11 2019, 7:05 PM
smeenai added inline comments.Feb 12 2019, 4:40 PM
llvm/runtimes/CMakeLists.txt
392 ↗(On Diff #186386)

Super nit: the other block seems to have the install target line after the regular target line, so it'd be nice to be consistent.

394 ↗(On Diff #186386)

I'm confused. Should this be something like the following instead?

list(APPEND ${name}_extra_targets install-${component}-${name} ${component}-${name})
phosek updated this revision to Diff 186747.Feb 13 2019, 2:23 PM
phosek marked 3 inline comments as done.
phosek added inline comments.
llvm/runtimes/CMakeLists.txt
394 ↗(On Diff #186386)

Yes, this is a copy-pasta error.

smeenai accepted this revision.Feb 15 2019, 2:53 PM

LGTM

llvm/runtimes/CMakeLists.txt
394 ↗(On Diff #186747)

Super nit part 2: switch the append order around to match the set command order?

This revision is now accepted and ready to land.Feb 15 2019, 2:53 PM
phosek updated this revision to Diff 187125.Feb 15 2019, 7:56 PM
phosek marked an inline comment as done.
This revision was automatically updated to reflect the committed changes.